petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCHYPRESetBetaPoissonMatrix

Set Poisson matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetBetaPoissonMatrix(PC pc, Mat A)

Collective on PC Many br

### Input Parameters

| pc | - the preconditioning context Many br
| A | - the matrix Many br

Many br

Notes: A should be obtained by discretizing the Poisson problem with linear finite elements. Many brFollowing HYPRE convention, the scalar Poisson solver of AMS can be turned off by passing NULL. Many br

### See Also

Level:intermediate
Location:src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages